apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/use-regex: "true"
  name: argo-workflows-ingress
  namespace: argo
spec:
  ingressClassName: nginx
  rules:
  - host: localhost
    http:
      paths:
      - backend:
          service:
            name: argo-server
            port:
              name: web
        path: /argo-workflows(/|$)(.*)
        pathType: ImplementationSpecific
  - host: otc.c-one-infra.de
    http:
      paths:
      - backend:
          service:
            name: argo-server
            port:
              name: web
        path: /argo-workflows(/|$)(.*)
        pathType: ImplementationSpecific
